Package com.independentsoft.office.drawing.extensions

# Class SvgBlip

java.lang.Object
com.independentsoft.office.drawing.extensions.SvgBlip

All Implemented Interfaces:
  `IExtensionContent`

public class SvgBlip extends Object implements IExtensionContent
Represents the SVG blip extension (`asvg:svgBlip`) that references the SVG image part through the host part's relationships (`r:embed`) (uri `{96DAC541-7B7A-43D3-8B79-37D633B846F1}`).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `NAMESPACE`
  `static String`
  `RELATIONSHIP_NAMESPACE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SvgBlip()`
  Instantiates a new svg blip.
  `SvgBlip​(InternalXMLStreamReader reader)`
  Instantiates a new svg blip.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IExtensionContent`
  `clone()`
  Clone.
  `String`
  `getRelationshipId()`
  Gets the relationship id (`r:embed`) of the SVG image part, resolved against the host part's relationships.
  `void`
  `setRelationshipId​(String value)`
  Sets the relationship id (`r:embed`) of the SVG image part, resolved against the host part's relationships.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NAMESPACE

    public static final String NAMESPACE
    See Also:
      Constant Field Values

  - ### RELATIONSHIP_NAMESPACE

    public static final String RELATIONSHIP_NAMESPACE
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### SvgBlip

    public SvgBlip()
    Instantiates a new svg blip.

  - ### SvgBlip

    public SvgBlip​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new svg blip.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the XML stream exception

- ## Method Details

  - ### clone

    public IExtensionContent clone()
    Description copied from interface: `IExtensionContent`
    Clone.
    Specified by:
      `clone` in interface `IExtensionContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      the extension content

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getRelationshipId

    public String getRelationshipId()
    Gets the relationship id (`r:embed`) of the SVG image part, resolved against the host part's relationships.
    Returns:
      the relationship id

  - ### setRelationshipId

    public void setRelationshipId​(String value)
    Sets the relationship id (`r:embed`) of the SVG image part, resolved against the host part's relationships.
    Parameters:
      `value` - the new relationship id